/*****
 NAME
 	cpoint-test.m - test program for CPoint class
 VERSION
 	$Id$
 CHANGELOG
 	$Log$
 */

#include <coconut/cpoint.h>
#include <stdlib.h>

void printPoint(id <PPoint> p)
{
	printf("h: %d, v:%d\n", [p holiz], [p vert]) ;
}

int main()
{
	CPoint * p	;

	printf("*** test program for CPoint class\n");
	p = [[CPoint alloc] init] ;

	printf("initial state:\n");
	printPoint(p) ;

	printf("set to (10, 20):\n");
	[p set: 10 and: 20] ;
	printPoint(p) ;

	[p release] ;
	printf("bye.\n") ;
	exit(0) ;
}

